Package Details: jed-snapshot 0.99.20.170-2

Git Clone URL: https://aur.archlinux.org/jed-snapshot.git (read-only, click to copy)
Package Base: jed-snapshot
Description: A freely available text editor - Latest development version
Upstream URL: http://www.jedsoft.org/snapshots/
Licenses: GPL
Conflicts: jed
Provides: jed
Submitter: haawda
Maintainer: haawda
Last Packager: haawda
Votes: 5
Popularity: 0.001779
First Submitted: 2019-12-12 18:25 (UTC)
Last Updated: 2022-11-24 14:35 (UTC)

Latest Comments

1 2 3 Next › Last »

kseistrup commented on 2022-11-24 20:30 (UTC)

Should the xjed package really conflict with jed? I use both, depending on the context, but now I cannot have both installed at the same time if I use this package.

kseistrup commented on 2022-08-21 15:06 (UTC)

PS to my previous comment:

If I add a line with make xjed just after the make line in build(), then xjed is both built and included. Without the extra line xjed gets built, but is not included in the package.

kseistrup commented on 2022-08-21 14:55 (UTC)

Does xjed still get included when you guys build jed-snapshot?

When I build jed-snapshot 0.99.20.169-1 the xjed binary is built, but never included in the package, even when I build from a clean cache.

When I launch xjed the status line says Jed pre0.99.20-U137 and the binary is built in January 2020. According to pacman no package owns /usr/bin/xjed.

haawda commented on 2022-02-03 22:08 (UTC)

If you want a git package, create one. No need to merge anything.

kseistrup commented on 2022-02-03 20:33 (UTC)

@zhenya1007, before I started using this package I manualy downloaded and compiled the editor myself from the snapshots (I'm a jed user since 1994 or 1995). You can log all you want, I still prefer the snapshot. If jed-git was the only jed package available around here, I would probably accept that, but I still prefer the snapshot.

zhenya1007 commented on 2022-02-03 19:55 (UTC)

@kseistrup In the abstract, your comment might have merit. However, in the case of JED git repository, it is just silly. Why? Do a git log --oneline -10 on the repository. I am reproducing the output below:

$ git log --oneline -10
1f279c4 (HEAD -> master) pre0.99.20-158: Documentation updates: - Optional argument to `what_char()' function (Morten Bo Johansen) - References to space.mit.edu changed to jedsoft.org
de2b7f4 pre0.99.20-157: Tweaked the c_insert_bra function to better detect the insertion of a '{' in a list context
ef17a04 pre0.99.20-156: Rebuilt libfuns.hlp
4a87bf6 pre0.99.20-155: Removed obsolete orelse syntax from idl.sl
3d99c73 pre0.99.20-154: Added Debian desktop icons
ea4c2ba pre0.99.20-153: Added debian-patches: * INFO-DIR-SECTION and INFO-DIR-ENTRY added to the info files * Updates to aclocal.m4, configure.ac * Use UTF-8 encoding in iso2xxx.sl * documentation fix for whatbuf() function * spelling error in jed.1 and file.c * Changed the default binding of the backquote key to self-insert
ba475e9 pre0.99.20-152: src/w32proc.c: A loop variable was getting incremented twice causing a leak on on win32 systems.
edfa098 pre0.99.20-151: lib/ctags.sl: Previous changes to ctags.sl broke the processing of etags-formatted files.  The code was updated to correct this.
847afe9 pre0.99.20-150: Call XftFontClose prior to exiting xjed to avoid a leak.
8c2b76e pre0.99.20-149: Moved the the initialization of the signal handlers to a point just prior to initializing the display.

Notice a pattern?! Yeah...

kseistrup commented on 2021-09-30 18:47 (UTC)

I, for one, would prefer to have a jed-snapshot package that is built from the official snapshots. I'm not interested in a traditional jed-git package.

zhenya1007 commented on 2021-09-30 18:34 (UTC)

Would you consider modifying this PKGBUILD to pull straight from the upstream git repo?

I have done a "quick and dirty" version locally. If there is interest, maybe we can cooperate on morphing this into a jed-git PKBUILD?

haawda commented on 2021-06-13 21:50 (UTC)

@prk21: fixed @csts: no, this is quite normal for a split package.

csts commented on 2021-06-12 22:52 (UTC)

This package is listed as rgrep 0.99.20.150-2. An error maybe?